Skip to main content
GET
Queries all sales invoices.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

Query Parameters

pageNumber
integer<int32>

Number of the page of items to fetch. Defaults to 1 when omitted.

pageSize
integer<int32>

Size of the page specified by PageNumber. Defaults to 100 when omitted.

sortBy
string

Property to sort by. Multiple comma-separated fields are applied in order (OrderBy, then ThenBy).

sortDescending
boolean

Sort in descending order. Defaults to ascending when omitted.

salesInvoiceDateAfter
string<date-time>

Only include items whose SalesInvoiceDate is after (greater than) this value.

salesInvoiceDateBefore
string<date-time>

Only include items whose SalesInvoiceDate is before (less than) this value.

valueDateAfter
string<date-time>

Only include items whose ValueDate is after (greater than) this value.

valueDateBefore
string<date-time>

Only include items whose ValueDate is before (less than) this value.

paymentDateAfter
string<date-time>

Only include items whose PaymentDate is after (greater than) this value.

paymentDateBefore
string<date-time>

Only include items whose PaymentDate is before (less than) this value.

printDateAfter
string<date-time>

Only include items whose PrintDate is after (greater than) this value.

printDateBefore
string<date-time>

Only include items whose PrintDate is before (less than) this value.

mailDateAfter
string<date-time>

Only include items whose MailDate is after (greater than) this value.

mailDateBefore
string<date-time>

Only include items whose MailDate is before (less than) this value.

paymentDueDateAfter
string<date-time>

Only include items whose PaymentDueDate is after (greater than) this value.

paymentDueDateBefore
string<date-time>

Only include items whose PaymentDueDate is before (less than) this value.

dunningDateAfter
string<date-time>

Only include items whose DunningDate is after (greater than) this value.

dunningDateBefore
string<date-time>

Only include items whose DunningDate is before (less than) this value.

cancelledDateAfter
string<date-time>

Only include items whose CancelledDate is after (greater than) this value.

cancelledDateBefore
string<date-time>

Only include items whose CancelledDate is before (less than) this value.

serviceDateFromAfter
string<date-time>

Only include items whose ServiceDateFrom is after (greater than) this value.

serviceDateFromBefore
string<date-time>

Only include items whose ServiceDateFrom is before (less than) this value.

serviceDateToAfter
string<date-time>

Only include items whose ServiceDateTo is after (greater than) this value.

serviceDateToBefore
string<date-time>

Only include items whose ServiceDateTo is before (less than) this value.

lastShippingDateAfter
string<date-time>

Only include items whose LastShippingDate is after (greater than) this value.

lastShippingDateBefore
string<date-time>

Only include items whose LastShippingDate is before (less than) this value.

Response

Paged result.

totalItems
integer<int32>
pageNumber
integer<int32>
pageSize
integer<int32>
items
object[]
totalPages
integer<int32>
hasPreviousPage
boolean
hasNextPage
boolean
nextPageNumber
integer<int32>
previousPageNumber
integer<int32>